<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Se usa para mostrar el historico de avalúos realizados por un avaluador desde que
                fue ingresado al sistema.         
                        
@cu 			CU-SA-AC-010 - Consultar Carga de Trabajo

  
@ManagedBean 	
-->


<h:form id="historicoAvaluosForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText value="Histórico de avalúos" 
                          styleClass="legendTitle" />
        </legend>
        <br/>
        <h:outputLabel value="Nombre profesional: " styleClass="outputLabelStyle" />

        <h:outputText            
            value="#{consultaCargaTrabajo.profesionalSeleccionado.nombreCompleto}" 
            styleClass="outputTextStyle">
        </h:outputText>
    </p:fieldset>

    <p:spacer height="10" />
    <p:fieldset>


        <h:panelGrid columns="1" cellspacing="7" width="100%">
            <p:dataTable var="item" paginatorPosition="bottom"
                         paginator="true" rows="10"
                         value="#{consultaCargaTrabajo.informacionHistorico}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                         {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowKey="#{item[0]}"
                         emptyMessage="No hay avaluadores asociados al sec. radicado seleccionado.">

                <f:facet name="header">  
                    Información de avalúos realizados
                </f:facet>


                <p:column headerText="Año">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[0]}">

                    </h:outputText>
                </p:column>
                <p:column headerText="Total avalúos">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[1]}">
                        <f:convertNumber maxFractionDigits="0"/>
                    </h:outputText>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Total avaluós <br /> aprobados
                    </f:facet>

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[2]}" >
                        <f:convertNumber maxFractionDigits="0"/>
                    </h:outputText>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Total avaluós <br /> no aprobados
                    </f:facet>

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[3]}" >
                        <f:convertNumber maxFractionDigits="0"/>
                    </h:outputText>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Total <br /> avaluós  realizó <br /> control de calidad
                    </f:facet>

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[4]}" >
                        <f:convertNumber maxFractionDigits="0"/>
                    </h:outputText>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Promedio de  <br /> calificación 
                    </f:facet>

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[5]}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Promedio de  <br /> calificación <br /> control de calidad
                    </f:facet>

                    <h:outputText styleClass="outputTextStyle"
                                  value="#{item[6]}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>
    <p:spacer height="5"/>

</h:form>
